<?php
/**
 * Created by PhpStorm.
 * User: qiuzijian
 * Date: 2021-04-23
 * Time: 15:18
 */

namespace Modules\Camera\Enum;

class CameraEnum
{
    //默认流媒体返回id
    const CAMERA_DEFAULT_REVERT_ID = 'NullId';

    //流媒体api地址
    const API_STREAM_START = 'api/v1/stream/start';  //启动拉转推
    const API_STREAM_STOP  = 'api/v1/stream/stop';  //停止推流

    //m3u8视频文件保存地址
    const M3U8_FILE_PATH = 'files/video/m3u8';

    //m3u8文件名
    const M3U8_FILE_NAME = 'out.m3u8';

    //视频服务器反向代理url
    const VIDEO_AGENCY_URL = 'http://video.nxjiewei.com:8011/';

    //乐橙视频接口配置
    const LECHANGE_APPID     = 'lc753b03152e3b4f1e';
    const LECHANGE_APPSECRET = 'cc9b1224acd24571a5daf18e8c7f94';

    //摄像头类型
    const CAMERA_TYPE_ALL      = 'all';  //全部
    const CAMERA_TYPE_NORMAL   = 1;      //普通
    const CAMERA_TYPE_AREA     = 2;      //关键区域
    const CAMERA_TYPE_WORK     = 3;      //工作面
    const CAMERA_TYPE_MATERIAL = 4;      //物资
    const CAMERA_TYPE_COALYARD = 5;      //煤场

    const CAMERA_TYPE_EXCHANGE = [
        self::CAMERA_TYPE_NORMAL   => '普通摄像头',
        self::CAMERA_TYPE_AREA     => '关键区域监控',
        self::CAMERA_TYPE_WORK     => '工作面监控',
        self::CAMERA_TYPE_MATERIAL => '物资监控',
        self::CAMERA_TYPE_COALYARD => '煤场监控',
    ];

    //调取海康接口类型
    const REQUEST_TYPE_API   = 'api';    //api请求
    const REQUEST_TYPE_LOCAL = 'local';  //本地请求
}